/* bombs.h */

#ifndef __BOMBS_H__
#define __BOMBS_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "sprite.h"

int  bombs_init(void);
void bombs_free(void);

void bombs_set_count(int count);
void bombs_set_speed(int speed);

Sprite *bombs_add(void);
void bombs_move(void);
int bombs_collide(Sprite *s);
void bombs_foreach(SpriteFunc dofunc);


#ifdef __cplusplus
};
#endif

#endif
