/* player.h */

#ifndef __PLAYER_H__
#define __PLAYER_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "sprite.h"

#define MAX_LIVES   4


int  player_init(void);
void player_free(void);

void player_init_lives(void);
int  player_get_lives(void);
int  player_add_life(void);

int  player_collide(void);

void player_right(void);
void player_left(void);

void player_add_shot(void);

void player_do(SpriteFunc dofunc);


#ifdef __cplusplus
};
#endif

#endif
